%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-jupyterlab
Version:       4.3.6
Release:       1mamba
Summary:       JupyterLab computational environment
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://jupyter.org/
Source:        https://pypi.debian.net/jupyterlab/jupyterlab-%{version}.tar.gz
License:       BSD
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(async-lru)
BuildRequires: python3.11dist(httpx)
BuildRequires: python3.11dist(ipykernel)
BuildRequires: python3.11dist(jinja2)
BuildRequires: python3.11dist(jupyter-core)
BuildRequires: python3.11dist(jupyter-lsp)
BuildRequires: python3.11dist(jupyter-server)
BuildRequires: python3.11dist(jupyterlab-server)
BuildRequires: python3.11dist(notebook-shim)
BuildRequires: python3.11dist(packaging)
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(tornado)
BuildRequires: python3.11dist(traitlets)
## AUTOBUILDREQ-END
BuildRequires: python-hatch_jupyter_builder-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n jupyterlab-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

mv %{buildroot}/usr/etc %{buildroot}/

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{_sysconfdir}/jupyter
%dir %{_sysconfdir}/jupyter/jupyter_notebook_config.d
%config %{_sysconfdir}/jupyter/jupyter_notebook_config.d/jupyterlab.json
%dir %{_sysconfdir}/jupyter/jupyter_server_config.d
%config %{_sysconfdir}/jupyter/jupyter_server_config.d/jupyterlab.json
%{_bindir}/jlpm
%{_bindir}/jupyter-lab
%{_bindir}/jupyter-labextension
%{_bindir}/jupyter-labhub
%{_datadir}/applications/jupyterlab.desktop
%{_datadir}/icons/hicolor/scalable/apps/jupyterlab.svg
%dir %{_datadir}/jupyter
%dir %{_datadir}/jupyter/lab
%{_datadir}/jupyter/lab/*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Sat Mar 15 2025 Automatic Build System <autodist@openmamba.org> 4.3.6-1mamba
- automatic version update by autodist

* Tue Feb 04 2025 Automatic Build System <autodist@openmamba.org> 4.3.5-1mamba
- automatic version update by autodist

* Thu Dec 19 2024 Automatic Build System <autodist@openmamba.org> 4.3.4-1mamba
- automatic version update by autodist

* Wed Dec 11 2024 Automatic Build System <autodist@openmamba.org> 4.3.3-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 4.3.2-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 4.3.1-1mamba
- automatic version update by autodist

* Thu Oct 31 2024 Automatic Build System <autodist@openmamba.org> 4.3.0-1mamba
- automatic version update by autodist

* Tue Aug 27 2024 Automatic Build System <autodist@openmamba.org> 4.2.5-1mamba
- automatic version update by autodist

* Sun Aug 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.4-1mamba
- package created using the webbuild interface
